{
  "name": "reezy-webapp",
  "version": "1.0.0",
  "description": "",
  "engines": {
    "node": "8.11.3",
    "npm": "5.6.0",
    "yarn": "1.7.0"
  },
  "author": "George Borunov <george@bdigitalinc.com>",
  "scripts": {
    "heroku-postbuild": "npm run build",
    "analyze:clean": "rimraf stats.json",
    "preanalyze": "npm run analyze:clean",
    "analyze": "node ./internals/scripts/analyze.js",
    "extract-intl": "node ./internals/scripts/extract-intl.js",
    "npmcheckversion": "node ./internals/scripts/npmcheckversion.js",
    "preinstall": "npm run npmcheckversion",
    "postinstall": "npm run build:dll",
    "prebuild": "npm run build:clean",
    "build": "cross-env NODE_ENV=production webpack --config internals/webpack/webpack.prod.babel.js --color -p --progress --hide-modules --display-optimization-bailout",
    "build:clean": "rimraf ./build",
    "build:dll": "node ./internals/scripts/dependencies.js",
    "start": "cross-env NODE_ENV=development node server",
    "start:tunnel": "cross-env NODE_ENV=development ENABLE_TUNNEL=true node server",
    "start:production": "npm run test && npm run build && npm run start:prod",
    "start:prod": "cross-env NODE_ENV=production node server",
    "presetup": "npm i chalk shelljs",
    "setup": "node ./internals/scripts/setup.js",
    "postsetup": "npm run build:dll",
    "clean": "shjs ./internals/scripts/clean.js",
    "clean:all": "npm run analyze:clean && npm run test:clean && npm run build:clean",
    "generate": "plop --plopfile internals/generators/index.js",
    "lint": "npm run lint:js && npm run lint:css",
    "lint:css": "stylelint './app/**/*.js'",
    "lint:eslint": "eslint --ignore-path .gitignore --ignore-pattern internals/scripts",
    "lint:eslint:fix": "eslint --ignore-path .gitignore --ignore-pattern internals/scripts --fix",
    "lint:js": "npm run lint:eslint -- . ",
    "lint:staged": "lint-staged",
    "pretest": "npm run test:clean && npm run lint",
    "test:clean": "rimraf ./coverage",
    "test": "cross-env NODE_ENV=test jest --coverage",
    "test:watch": "cross-env NODE_ENV=test jest --watchAll",
    "coveralls": "cat ./coverage/lcov.info | coveralls",
    "prettify": "prettier --write",
    "storybook": "start-storybook -p 9001 -c .storybook"
  },
  "lint-staged": {
    "*.js": [
      "npm run lint:eslint:fix",
      "git add --force"
    ],
    "*.json": [
      "prettier --write",
      "git add --force"
    ]
  },
  "pre-commit": "lint:staged",
  "babel": {
    "plugins": [
      "styled-components"
    ],
    "presets": [
      [
        "env",
        {
          "modules": false
        }
      ],
      "react",
      "stage-0"
    ],
    "env": {
      "production": {
        "only": [
          "app"
        ],
        "plugins": [
          "transform-react-remove-prop-types",
          "transform-react-inline-elements",
          "transform-react-constant-elements"
        ]
      },
      "test": {
        "plugins": [
          "transform-es2015-modules-commonjs",
          "dynamic-import-node"
        ]
      }
    }
  },
  "dllPlugin": {
    "path": "node_modules/react-boilerplate-dlls",
    "exclude": [
      "chalk",
      "compression",
      "cross-env",
      "express",
      "ip",
      "minimist",
      "sanitize.css"
    ],
    "include": [
      "core-js",
      "lodash",
      "eventsource-polyfill"
    ]
  },
  "jest": {
    "collectCoverageFrom": [
      "app/**/*.{js,jsx}",
      "!app/**/*.test.{js,jsx}",
      "!app/*/RbGenerated*/*.{js,jsx}",
      "!app/app.js",
      "!app/global-styles.js",
      "!app/*/*/Loadable.{js,jsx}"
    ],
    "coverageThreshold": {
      "global": {
        "statements": 98,
        "branches": 91,
        "functions": 98,
        "lines": 98
      }
    },
    "moduleDirectories": [
      "node_modules",
      "app"
    ],
    "moduleNameMapper": {
      ".*\\.(css|less|styl|scss|sass)$": "<rootDir>/internals/mocks/cssModule.js",
      ".*\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/internals/mocks/image.js"
    },
    "setupTestFrameworkScriptFile": "<rootDir>/internals/testing/test-bundler.js",
    "setupFiles": [
      "raf/polyfill",
      "<rootDir>/internals/testing/enzyme-setup.js"
    ],
    "testRegex": "tests/.*\\.test\\.js$",
    "snapshotSerializers": [
      "enzyme-to-json/serializer"
    ]
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.2.12",
    "@fortawesome/free-regular-svg-icons": "^5.6.3",
    "@fortawesome/free-solid-svg-icons": "^5.6.3",
    "@fortawesome/react-fontawesome": "^0.1.3",
    "apisauce": "^1.0.0",
    "babel-polyfill": "6.26.0",
    "chalk": "2.4.1",
    "classnames": "^2.2.6",
    "compression": "1.7.2",
    "cross-env": "5.2.0",
    "dotenv": "^6.1.0",
    "express": "4.16.3",
    "fontfaceobserver": "2.0.13",
    "heroku-ssl-redirect": "^0.0.4",
    "highcharts": "^6.2.0",
    "history": "4.7.2",
    "hoist-non-react-statics": "2.5.5",
    "intl": "1.2.5",
    "invariant": "2.2.4",
    "ip": "1.1.5",
    "keymirror": "^0.1.1",
    "lodash": "4.17.10",
    "minimist": "1.2.0",
    "moment": "^2.22.2",
    "prop-types": "15.6.1",
    "react": "^16.4.1",
    "react-avatar": "^3.4.6",
    "react-dom": "16.4.1",
    "react-ga": "^2.5.6",
    "react-helmet": "5.2.0",
    "react-highcharts": "^16.0.2",
    "react-intl": "2.4.0",
    "react-loadable": "5.4.0",
    "react-plaid-link": "^1.0.3",
    "react-redux": "5.0.7",
    "react-redux-form": "^1.16.10",
    "react-router-dom": "4.3.1",
    "react-router-redux": "5.0.0-alpha.9",
    "reactstrap": "^6.5.0",
    "redux": "4.0.0",
    "redux-saga": "0.16.0",
    "redux-seamless-immutable": "^0.4.0",
    "reselect": "3.0.1",
    "sanitize.css": "4.1.0",
    "styled-components": "3.3.2",
    "validator": "^10.8.0",
    "warning": "4.0.1",
    "whatwg-fetch": "2.0.4"
  },
  "devDependencies": {
    "@storybook/react": "^4.1.4",
    "add-asset-html-webpack-plugin": "2.1.3",
    "babel-cli": "6.26.0",
    "babel-core": "6.26.3",
    "babel-eslint": "8.2.3",
    "babel-loader": "7.1.4",
    "babel-plugin-dynamic-import-node": "1.2.0",
    "babel-plugin-react-intl": "2.4.0",
    "babel-plugin-react-transform": "3.0.0",
    "babel-plugin-styled-components": "1.5.1",
    "babel-plugin-transform-es2015-modules-commonjs": "6.26.2",
    "babel-plugin-transform-react-constant-elements": "6.23.0",
    "babel-plugin-transform-react-inline-elements": "6.22.0",
    "babel-plugin-transform-react-jsx-source": "6.22.0",
    "babel-plugin-transform-react-remove-prop-types": "0.4.13",
    "babel-preset-env": "1.7.0",
    "babel-preset-react": "6.24.1",
    "babel-preset-stage-0": "6.24.1",
    "circular-dependency-plugin": "5.0.2",
    "coveralls": "3.0.1",
    "css-loader": "0.28.11",
    "empty-module": "^0.0.2",
    "enzyme": "3.3.0",
    "enzyme-adapter-react-16": "1.1.1",
    "enzyme-to-json": "3.3.4",
    "eslint": "4.19.1",
    "eslint-config-airbnb": "16.1.0",
    "eslint-config-airbnb-base": "12.1.0",
    "eslint-config-prettier": "2.9.0",
    "eslint-import-resolver-webpack": "0.10.0",
    "eslint-plugin-import": "2.12.0",
    "eslint-plugin-jsx-a11y": "6.0.3",
    "eslint-plugin-prettier": "2.6.0",
    "eslint-plugin-react": "7.9.1",
    "eslint-plugin-react-intl": "^1.1.2",
    "eslint-plugin-redux-saga": "0.9.0",
    "eventsource-polyfill": "0.9.6",
    "exports-loader": "0.7.0",
    "file-loader": "1.1.11",
    "html-loader": "0.5.5",
    "html-webpack-plugin": "3.2.0",
    "husky": "0.14.3",
    "image-webpack-loader": "4.3.1",
    "imports-loader": "0.8.0",
    "jest-cli": "23.1.0",
    "jest-styled-components": "5.0.1",
    "lint-staged": "7.2.0",
    "ngrok": "3.0.1",
    "node-plop": "0.15.0",
    "null-loader": "0.1.1",
    "offline-plugin": "5.0.5",
    "plop": "2.0.0",
    "pre-commit": "1.2.2",
    "prettier": "1.13.5",
    "react-test-renderer": "16.4.1",
    "rimraf": "2.6.2",
    "shelljs": "0.8.2",
    "style-loader": "0.21.0",
    "stylelint": "9.3.0",
    "stylelint-config-recommended": "2.1.0",
    "stylelint-config-styled-components": "0.1.1",
    "stylelint-processor-styled-components": "1.3.1",
    "svg-url-loader": "2.3.2",
    "url-loader": "1.0.1",
    "webpack": "4.12.0",
    "webpack-cli": "3.0.8",
    "webpack-dev-middleware": "3.1.3",
    "webpack-hot-middleware": "2.22.2",
    "webpack-pwa-manifest": "3.6.2"
  }
}
